Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 176653

Summary: Review Request: python-sqlite2
Product: [Fedora] Fedora Reporter: Dawid Gajownik <gajownik>
Component: Package ReviewAssignee: Chris Chabot <chabotc>
Status: CLOSED RAWHIDE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: chabotc, fedora-extras-list
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-08-29 06:16:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779, 176614    

Description Dawid Gajownik 2005-12-28 17:28:40 UTC
Spec Name or Url: http://wiki.fedora.pl/gajownik/python-sqlite2.spec
SRPM Name or Url: http://wiki.fedora.pl/gajownik/python-sqlite2-2.0.5-1.src.rpm
Description:
pysqlite is an interface to the SQLite 3.x embedded relational database
engine. It is almost fully compliant with the Python database API version
2.0 also exposes the unique features of SQLite.

rpmlint warnings:
[rpm-build@X SRPMS]$ rpmlint python-sqlite2-2.0.5-1.src.rpm
W: python-sqlite2 invalid-license zlib/libpng
[rpm-build@X SRPMS]$

I copied information about licence from PKG-INFO file.

I have also question about package name. Should it be python-sqlite2 (there is python-sqlite in Core), pysqlite2 or python-pysqlite2 (like in Debian)?

BTW I feel like a drunk child in a fog when it comes to packaging python addons ;) I based spec ifle on /usr/share/fedora/spectemplate-python.spec from fedora-rpmdevtools but I could have done something stupid...

Comment 1 Dawid Gajownik 2006-01-14 12:27:03 UTC
May someone take a look at this package, please? This dependency is blocking
gajim update.

Comment 2 Chris Chabot 2006-01-14 12:33:36 UTC
I'll give it a spin, changing to FE-REVIEW

Comment 3 Chris Chabot 2006-01-14 12:53:04 UTC
Licence: Can't comment on but if thats the licence they specify then who are we
to complain? Looking at http://www.zlib.net/zlib_license.html its more then free
enough :-)

Package name: normally you would follow the upstream naming, but given that the
Core package is called python-sqlite calling it python-sqlite2 is the proper
thing to do to avoid confusion

Personally i'd make the identation of the Requires: line the same as of the
other header fields, but thats my perfectionistic nature :-)

Shouldn't sqlite-devel >= 3.0.0 be in the build requires for clarity? 

- rpmlint output:
W: python-sqlite2 invalid-license zlib/libpng
As discussed above, i think its safe to ignore, we don't get to choose the
licence, authors do that

- Package follows naming guidelines
- Specfile is in %{name} format
- Follows PackagingGuidelines
- Licence is Opensource
- License field in the package spec file matches the actual license
- Incluses licence from source tarbal
- In american english
- And legible
- md5sum matches with upstream download, and specfile url + d/l entry is valid
- Build successfully on atleast i386 (tested) into binary rpm
- Buildrequires is valid, but misses sqlite-devel (>= 3.0.0) entry!

Above makes build in mock build fail with:
  In file included from src/module.c:24:
  src/connection.h:32:21: error: sqlite3.h: No such file or directory
  ... etc etc ...

- Has no .so or locales so no macro's needed for it
- Owns directories it created
- No duplicate files
- Has proper %clean section
- Uses macro's consitently (as far as aplicable, pythoning is not done thru
%configure, etc)
- Contains permisable code
- %doc doesn't contain package critical files to operate
- No header files or static / .so libs or pkgfiles
- No gui so no need for .desktop files


Please correct the buildrequires error so i can verify it builds cleanly in
mock, once thats working i think we are done




Comment 4 Dawid Gajownik 2006-01-14 15:23:03 UTC
(In reply to comment #3)
> Personally i'd make the identation of the Requires: line the same as of the
> other header fields, but thats my perfectionistic nature :-)

I also put spaces in my other spec files but this one is exception -- I wanted
to make this line fit in 80 characters wide terminal.
 
> Shouldn't sqlite-devel >= 3.0.0 be in the build requires for clarity? 

Aghh, I checked dependencies with fedora-rmdevelrpms script but I must have
forgotten about adding BR to the spec file.

I put only √ĘBuildRequires:  sqlite-devel√Ę because on FC3+ sqlite package is in
version 3.1.2.

> Please correct the buildrequires error so i can verify it builds cleanly in
> mock, once thats working i think we are done

Done.
http://pmail.pl/~raven/python-sqlite2.spec
http://pmail.pl/~raven/python-sqlite2-2.0.5-2.src.rpm
(sorry that it took me so long -- I had problems with finding webserver)


Comment 5 Chris Chabot 2006-01-14 17:33:55 UTC
Nock builds cleanly and BuildRequires is peachy perfect. Thanks for solving
those last issues

All the other items from last review list still apply the same (all correct).

FE-APPROVED


Comment 6 Dawid Gajownik 2006-01-14 19:00:43 UTC
Thanks for the review! Package was built correctly in fedora-development-extras.